mini-ASN.1 compiler 0.9.8-beta5

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

mini-ASN.1 compiler 0.9.8-beta5

pana
Hi,
I try to run the mini-ASN.1 compiler with several OpenSSL version but
it doesn't work. The "-genstr" option results ever unknown by the
system.
Where is the error? What I miss?
Thanks

pana
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: mini-ASN.1 compiler 0.9.8-beta5

Nils Larsch
pana wrote:
> Hi,
> I try to run the mini-ASN.1 compiler with several OpenSSL version but
> it doesn't work. The "-genstr" option results ever unknown by the
> system.
> Where is the error? What I miss?

works for me, what did you do ?

Nils
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: mini-ASN.1 compiler 0.9.8-beta5

pana
I used those commands: "openssl asn1parse -inform TXT -in in.txt -out out.tx"
and "openssl asn1parse -genstr 'UTF8:Hello World' "
Then I tryed to use it in the openssl.cnf file
"myextension=IA5STRING:Hello World"
Do you know where is the error?

bye
pana

2005/6/14, Nils Larsch <[hidden email]>:

> pana wrote:
> > Hi,
> > I try to run the mini-ASN.1 compiler with several OpenSSL version but
> > it doesn't work. The "-genstr" option results ever unknown by the
> > system.
> > Where is the error? What I miss?
>
> works for me, what did you do ?
>
> Nils
> ______________________________________________________________________
> OpenSSL Project                                 http://www.openssl.org
> User Support Mailing List                    [hidden email]
> Automated List Manager                           [hidden email]
>
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: mini-ASN.1 compiler 0.9.8-beta5

Nils Larsch
pana wrote:
> I used those commands: "openssl asn1parse -inform TXT -in in.txt -out out.tx"

"openssl asn1parse ..." doesn't support "TXT" input

> and "openssl asn1parse -genstr 'UTF8:Hello World' "

works for me:

nils@andromeda:~> openssl version
OpenSSL 0.9.8-beta4-dev XX xxx XXXX
nils@andromeda:~> openssl asn1parse -genstr 'UTF8:Hello World'
     0:d=0  hl=2 l=  11 prim: UTF8STRING

> Then I tryed to use it in the openssl.cnf file
> "myextension=IA5STRING:Hello World"

did you read doc/openssl.txt ?

what error messages do you get ?

Nils
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: mini-ASN.1 compiler 0.9.8-beta5

pana
The error I get when I use -genstr is:

unknown option -genstr
asn1parse [options] <infile
where options are
 -inform arg   input format - one of DER TXT PEM
 -in arg       input file
 -out arg      output file (output format is always DER
 -noout arg    don't produce any output
 -offset arg   offset into file
 -length arg   length of section in file
 -i            indent entries
 -dump         dump unknown data in hex form
 -dlimit arg   dump the first arg bytes of unknown data in hex form
 -oid file     file of extra oid definitions
 -strparse offset
               a series of these can be used to 'dig' into multiple
               ASN1 blob wrappings

I read the openssl.txt file but when I try to create a certificate
using "ASN1:UTF8String:Some random data" or "IA5STRING:Hello World" in
my extension syntax on openssl.cnf I get this error:

Error Loading extension section v3_ca
4129:error:2207C081:X509 V3 routines:DO_EXT_CONF:unknown
extension:v3_conf.c:128:
4129:error:2206B080:X509 V3 routines:X509V3_EXT_conf:error in
extension:v3_conf.c:92:name=extwrk, value=ASN1:UTF8String:Some random
data

pana

2005/6/15, Nils Larsch <[hidden email]>:

> pana wrote:
> > I used those commands: "openssl asn1parse -inform TXT -in in.txt -out out.tx"
>
> "openssl asn1parse ..." doesn't support "TXT" input
>
> > and "openssl asn1parse -genstr 'UTF8:Hello World' "
>
> works for me:
>
> nils@andromeda:~> openssl version
> OpenSSL 0.9.8-beta4-dev XX xxx XXXX
> nils@andromeda:~> openssl asn1parse -genstr 'UTF8:Hello World'
>      0:d=0  hl=2 l=  11 prim: UTF8STRING
>
> > Then I tryed to use it in the openssl.cnf file
> > "myextension=IA5STRING:Hello World"
>
> did you read doc/openssl.txt ?
>
> what error messages do you get ?
>
> Nils
> ______________________________________________________________________
> OpenSSL Project                                 http://www.openssl.org
> User Support Mailing List                    [hidden email]
> Automated List Manager                           [hidden email]
>
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: mini-ASN.1 compiler 0.9.8-beta5

pana
You find the error.
The version used is 0.9.7e!!!
Probably I uninstalled not well the old version.

thanks
pana

2005/6/16, Richard Levitte - VMS Whacker <[hidden email]>:

> In message <[hidden email]> on Thu, 16 Jun 2005 11:51:57 +0200, pana <[hidden email]> said:
>
> panasa1> The error I get when I use -genstr is:
> panasa1>
> panasa1> unknown option -genstr
> panasa1> asn1parse [options] <infile
> panasa1> where options are
> panasa1>  -inform arg   input format - one of DER TXT PEM
> panasa1>  -in arg       input file
> panasa1>  -out arg      output file (output format is always DER
> panasa1>  -noout arg    don't produce any output
> panasa1>  -offset arg   offset into file
> panasa1>  -length arg   length of section in file
> panasa1>  -i            indent entries
> panasa1>  -dump         dump unknown data in hex form
> panasa1>  -dlimit arg   dump the first arg bytes of unknown data in hex form
> panasa1>  -oid file     file of extra oid definitions
> panasa1>  -strparse offset
> panasa1>                a series of these can be used to 'dig' into multiple
> panasa1>                ASN1 blob wrappings
>
> That's not 0.9.8-beta5.  Try the following command:
>
>         openssl version
>
> Cheers,
> Richard
>
> -----
> Please consider sponsoring my work on free software.
> See http://www.free.lp.se/sponsoring.html for details.
>
> --
> Richard Levitte                         [hidden email]
>                                         http://richard.levitte.org/
>
> "When I became a man I put away childish things, including
>  the fear of childishness and the desire to be very grown up."
>                                                 -- C.S. Lewis
>
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: mini-ASN.1 compiler 0.9.8-beta5

pana
...now the problem is how to uninstall or upgrade openssl, because I
try to do it but always the version is 0.9.7e. I simply removed the
folder
Is there an uninstall function?

bye
pana

2005/6/21, pana <[hidden email]>:

> You find the error.
> The version used is 0.9.7e!!!
> Probably I uninstalled not well the old version.
>
> thanks
> pana
>
> 2005/6/16, Richard Levitte - VMS Whacker <[hidden email]>:
> > In message <[hidden email]> on Thu, 16 Jun 2005 11:51:57 +0200, pana <[hidden email]> said:
> >
> > panasa1> The error I get when I use -genstr is:
> > panasa1>
> > panasa1> unknown option -genstr
> > panasa1> asn1parse [options] <infile
> > panasa1> where options are
> > panasa1>  -inform arg   input format - one of DER TXT PEM
> > panasa1>  -in arg       input file
> > panasa1>  -out arg      output file (output format is always DER
> > panasa1>  -noout arg    don't produce any output
> > panasa1>  -offset arg   offset into file
> > panasa1>  -length arg   length of section in file
> > panasa1>  -i            indent entries
> > panasa1>  -dump         dump unknown data in hex form
> > panasa1>  -dlimit arg   dump the first arg bytes of unknown data in hex form
> > panasa1>  -oid file     file of extra oid definitions
> > panasa1>  -strparse offset
> > panasa1>                a series of these can be used to 'dig' into multiple
> > panasa1>                ASN1 blob wrappings
> >
> > That's not 0.9.8-beta5.  Try the following command:
> >
> >         openssl version
> >
> > Cheers,
> > Richard
> >
> > -----
> > Please consider sponsoring my work on free software.
> > See http://www.free.lp.se/sponsoring.html for details.
> >
> > --
> > Richard Levitte                         [hidden email]
> >                                         http://richard.levitte.org/
> >
> > "When I became a man I put away childish things, including
> >  the fear of childishness and the desire to be very grown up."
> >                                                 -- C.S. Lewis
> >
>
______________________________________________________________________
OpenSSL Project                                 http://www.openssl.org
User Support Mailing List                    [hidden email]
Automated List Manager                           [hidden email]